#ifndef LOUIMSGBOXOK_H
#define LOUIMSGBOXOK_H

#include <LoQClass/loqdialog.h>
#include <QPixmap>

namespace Ui {
class LoUIMsgBoxOk;
}

class LoUIMsgBoxOk : public LoQDialog
{
    Q_OBJECT

public:
    explicit LoUIMsgBoxOk(QWidget *parent = nullptr);
    LoUIMsgBoxOk(QString text, QString strUnlockTip,  QWidget *parent = nullptr);
    LoUIMsgBoxOk(QPixmap icon, QString text, QWidget *parent = nullptr);
    ~LoUIMsgBoxOk() override;

public:
    virtual int exec() override { emit startUp(); return LoQDialog::exec(); }
    QString m_strUnlockTip;
public slots:
    void lock();
    void unlock();
    void progress(QString msg, int pre, bool done);

signals:
    void startUp();

private:
    Ui::LoUIMsgBoxOk *ui;
};

#endif // LOUIMSGBOXOK_H
